using System.Windows;
using System.Windows.Controls;
using Unity;

namespace FLY.FilmCasting.AutoDie.UI.Client
{
    /// <summary>
    /// Page_Menu.xaml 的交互逻辑
    /// </summary>
    public partial class PgMenu : Page
    {
        IUnityContainer container;
        public PgMenu()
        {
            InitializeComponent();
        }

        [InjectionMethod]
        public void Init(IUnityContainer container)
        {
            this.container = container;
        }

        private void button_set_Click(object sender, RoutedEventArgs e)
        {
            var p = container.Resolve<PgSetup>();
            MultiLayout.FlyLayoutManager.NavigationService.Navigate(p);
        }

        private void button_heatlist_Click(object sender, RoutedEventArgs e)
        {
            var p = container.Resolve<PgHeatAnalyse>();
            MultiLayout.FlyLayoutManager.NavigationService.Navigate(p);

        }

        private void button_version_Click(object sender, RoutedEventArgs e)
        {

        }
    }
}
